Bug 1019331 - Possible database connection leak in org.rhq.enterprise.server.content.ContentManagerBean.writeBlobOutToStream
Possible database connection leak in org.rhq.enterprise.server.content.Conten...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Database (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER04
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-10-15 09:53 EDT by Mike Foley
Modified: 2014-01-02 15:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:43:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
possible db leak reported by FindBugs (27.87 KB, image/png)
2013-10-15 09:53 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2013-10-15 09:53:59 EDT
Created attachment 812542 [details]
possible db leak reported by FindBugs

Description of problem:  Findbugs static code analysis reports possible database connection leak in org.rhq.enterprise.server.content.ContentManagerBean.writeBlobOutToStream

line 2107 in ContentManagerBean


Version-Release number of selected component (if applicable):  JON 3.2 ER3


Note:  I am hunting possible database connection leaks in support of BZ

https://bugzilla.redhat.com/show_bug.cgi?id=1018233  

(OOM with JON 3.2 ... initial developer heap analysis from that issue shows possible connection leak. so here is 1 possible leak to investigate)
Comment 1 Jirka Kremser 2013-10-15 10:42:56 EDT
This is a DB connection leak, but the method is being called only from the test environment (itests-2) so it shouldn't be (unfortunately) related to bug 1018233.


branch:  release#jon3.2.x
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=80359d799
time:    2013-10-15 16:42:16 +0200
commit:  80359d7992b0a46dc0b8adcf6f42c2b551b8966f
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1019331] - Possible database connection leak in
         org.rhq.enterprise.server.content.ContentManagerBean.writeBlobOutToStream
         - closing the resultset, prepare statement and connection
         properly in the finally block.
Comment 2 Simeon Pinder 2013-10-24 00:09:25 EDT
Moving to ON_QA for testing in the next build.

Note You need to log in before you can comment on or make changes to this bug.